Subject: RE: [Isms] SNMPv3 security; the fundamental flaw?

From: "Khanh Nguyen \(khanhvn\)" <[email-masked]>
Date: Mon, 2 May 2005 12:00:46 -0700

> From: Tom Petch
> 
> My thinking ... is of a basic level consisting 
> of a shared secret with the security server (not with the 
> SNMP manager-server) which is then used to generate session 
> keys for a small fixed set of userids; not as secure as USM 
> but much more secure than some systems I see.  This can be a 
> one touch solution; the secret can be randomised by engine id 
> (as Khanh suggested), to vary with box type (switch, router,
> firewall) etc.

For proper credit, key localization is not my new idea :)
I borrowed the concept from USM.

The problem with USM is that it uses the localized authKey and 
privKey statically: the same keys are used again and again for 
all messages.  This breaks perfect forward secrecy (PFS).

This is not really USM fault (it has a smart design).  Its lack 
of PFS and replay attack protection is rather an inherent problem 
with any sessionless secure transport.  All ISMS proposals we have 
seen here solve that problem (conciously or not) by using some 
sorts of sessions/connections.  

Back to localization, my LPSK proposal retains that USM concept, 
but instead of using the localized secrets statically, the secrets 
are used in conjuction with a secure PSK auth protocol such as SRP 
to (1) authenticate *both* the user/manager and the agent, and 
(2) generate a dynamic key for encryp & data integrity session.  
LPSK can be used in all 3 keying environments: OOBK (e.g. EAP-SRP, 
SASL-SRP), IBK (SNMP implementation of SRP, which is quite simple), 
and EK (TLS-SRP, etc.)

SRP (http://srp.stanford.edu) is just one of many PSK methods 
that can be used to implement LPSK.  I picked it as an example
because it's secure, relatively simple, and widely used.

Khanh

_______________________________________________
Isms mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isms

---

From: "Tom Petch" <[email-masked]>
Date: Mon, 2 May 2005 21:24:31 +0200

mmm there's something about Three Letter Acronyms at the back of my mind.

I probably shouldn't be asking - since we are in the security area - but

PSK is Pre-Shared Key - yes?
PFS is what concept; perhaps you can point me at a seminal article on it or a
reference in a standard text.  (I may know it under another name).

Tom Petch

----- Original Message -----
From: "Khanh Nguyen (khanhvn)" <[email-masked]>
To: "Tom Petch" <[email-masked]>; <[email-masked]>
Sent: Monday, May 02, 2005 9:00 PM
Subject: RE: [Isms] SNMPv3 security; the fundamental flaw?

Khanh